Skip to content

GET List Of Mobile SDKs.

GET
/api/object_store/namespaces/{namespace}/stored_objects/mobile-sdk
curl --request GET \
--url 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/object_store/namespaces/example/stored_objects/mobile-sdk?query_type=EXACT_MATCH' \
--header 'Authorization: <Authorization>'

ListMobileSDKs is an API to list all mobile SDKs available for download.

Examples of this operation.

namespace
required
string

Namespace x-required Namespace of the stored_object.

object_type
string

Optional query parameter. Type of the stored_object.

name
string

Optional query parameter. Name of the stored_object.

query_type
string
default: EXACT_MATCH
Allowed values: EXACT_MATCH PREFIX_MATCH

Optional query parameter. The type of search query needs to be performed. Could be EXACT_MATCH or PREFIX_MATCH. EXACT_MATCH returns the objects with exact match on the name filed, while PREFIX_MATCH returns the list of object matching the ‘name’ prefix. Default is EXACT_MATCH.

  • EXACT_MATCH: EXACT_MATCH

Returns list of objects with exact match on the name filed.

  • PREFIX_MATCH: PREFIX_MATCH

Returns the list of object matching the ‘name’ prefix.

latest_version_only
boolean format: boolean

Optional query parameter. If passed, returns only latest version of the objects.

A successful response.

Media typeapplication/json
ListObjectsResponse

Response for GetListOfObjects API.

object
items
list of store object descriptors

Stored object names and available versions for each object.

Array<object>
ListItemDescriptor

A descriptor for list response item.

object
mobile_app_shield
object
os_type
string
default: ANDROID
Allowed values: ANDROID IOS
release_version
release_version

Version of mobile app shield release.

string
<= 32 characters
mobile_integrator
object
os_type
string
default: ANDROID
Allowed values: ANDROID IOS
release_version
release_version

Version of mobile integrator release.

string
<= 32 characters
mobile_sdk
object
os_type
string
default: ANDROID
Allowed values: ANDROID IOS
release_version
release_version

Version of mobile SDK release.

string
<= 1024 characters
name
name

Name of the stored object.

string
>= 6 characters <= 1024 characters
no_attributes
object
tenant
tenant

Tenant to which this object belongs.

string
>= 6 characters <= 1024 characters
versions
versions

Available versions for the stored object.

Array<object>
VersionDescriptor

Descriptor for store object version.

object
creation_timestamp
creation_timestamp

Creation date & time for the object

Required: YES.

string format: date-time
<= 1024 characters
description
description

Optional field, the Description for the object.

string
>= 21 characters <= 512 characters
latest_version
latest_version

A tag representing if this is the latest version for the object.

boolean format: boolean
url
url

URL of the stored object

Required: YES.

string format: uri
<= 1024 characters
version
version

Version of the stored object.

string
>= 1 characters <= 1024 characters
mobile_sdk_self_serve
object
os_type
string
default: ANDROID
Allowed values: ANDROID IOS
release_version
release_version

Version of mobile SDK release.

string
<= 1024 characters
Example
{
"items": [
{
"mobile_app_shield": {
"os_type": "ANDROID"
},
"mobile_integrator": {
"os_type": "ANDROID"
},
"mobile_sdk": {
"os_type": "ANDROID"
},
"mobile_sdk_self_serve": {
"os_type": "ANDROID"
}
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example